<?php 
    $wp_customize->add_setting(
        'show_cta',
        array(
            'default'   => themesflat_customize_default('show_cta'),
            'sanitize_callback'  => 'themesflat_sanitize_checkbox',
        )
    );
    $wp_customize->add_control( new themesflat_Checkbox( $wp_customize,
            'show_cta',
            array(
                'type'      => 'checkbox',
                'label'     => esc_html__('Action Box ( OFF | ON )', 'norstar'),
                'section'   => 'section_cta_box',
                'priority'  => 1
            )
        )
    );

    $wp_customize->add_setting(
        'cta_heading',
        array(
            'default' => themesflat_customize_default('cta_heading_text'),
            'sanitize_callback' => 'themesflat_sanitize_text'
        )
    );
    $wp_customize->add_control(
        'cta_heading',
        array(
            'label' => esc_html__( 'Heading', 'norstar' ),
            'section' => 'section_cta_box',
            'type' => 'text',
            'priority' => 2
        )
    );

    $wp_customize->add_setting(
        'cta_button_text',
        array(
            'default' => themesflat_customize_default('cta_button_text'),
            'sanitize_callback' => 'themesflat_sanitize_text'
        )
    );
    $wp_customize->add_control(
        'cta_button_text',
        array(
            'label' => esc_html__( 'Button text', 'norstar' ),
            'section' => 'section_cta_box',
            'type' => 'text',
            'priority' => 3
        )
    );

    $wp_customize->add_setting(
        'cta_button_link',
        array(
            'default' => themesflat_customize_default('cta_button_link'),
            'sanitize_callback' => 'themesflat_sanitize_text'
        )
    );
    $wp_customize->add_control(
        'cta_button_link',
        array(
            'label' => esc_html__( 'Button link', 'norstar' ),
            'section' => 'section_cta_box',
            'type' => 'text',
            'priority' => 4
        )
    );


    $wp_customize->add_setting(
        'cta_controls',
        array(
            'default' => themesflat_customize_default('cta_controls'),
            'sanitize_callback' => 'themesflat_sanitize_text',
        )
    );
    $wp_customize->add_control( new themesflat_BoxControls($wp_customize,
        'cta_controls',
        array(
            'label' => esc_html__( 'CTA Box Controls (px)', 'norstar' ),
            'section' => 'section_cta_box',
            'type' => 'box-controls',
            'priority' => 5
        ))
    );



?>